Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.grammar
Class Token

    java.lang.Object
      antlr.Token
          antlr.CommonToken
              de.grogra.grammar.Token

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  Identifier, Literal, SequenceStart

    public class Token

extends antlr.CommonToken

Field Summary
`static int` | `BOOLEAN_LITERAL`
`static int` | `CHAR_LITERAL`
`static int` | `DOUBLE_LITERAL`
`static int` | `FLOAT_LITERAL`
`static int` | `IDENT`
`static int` | `INT_LITERAL`
`static int` | `LONG_LITERAL`
`static int` | `MAX_NUMBER_LITERAL`
`static int` | `MIN_NUMBER_LITERAL`
`static int` | `MIN_UNUSED`
`static int` | `STRING_LITERAL`

Fields inherited from class antlr.CommonToken
`col, line, text`

Fields inherited from class antlr.Token
`badToken, EOF_TYPE, INVALID_TYPE, MIN_USER_TYPE, NULL_TREE_LOOKAHEAD, SKIP, type`

Constructor Summary
`Token(int type, java.lang.String text)`

Method Summary
`Token` | `dup()`
`int` | `getColumn()`
`int` | `getEndPosition()`
`java.lang.String` | `getFilename()`
`int` | `getLine()`
`int` | `getStartPosition()`
`Tokenizer` | `getTokenizer()`
`void` | `setExtent(int position, int endPosition)`
`void` | `setTokenizer(Tokenizer t)`

Methods inherited from class antlr.CommonToken
`getText, setColumn, setLine, setText, toString`

Methods inherited from class antlr.Token
`getType, setFilename, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BOOLEAN_LITERAL

    public static final int BOOLEAN_LITERAL

See Also:
  Constant Field Values

### CHAR_LITERAL

    public static final int CHAR_LITERAL

See Also:
  Constant Field Values

### DOUBLE_LITERAL

    public static final int DOUBLE_LITERAL

See Also:
  Constant Field Values

### FLOAT_LITERAL

    public static final int FLOAT_LITERAL

See Also:
  Constant Field Values

### IDENT

    public static final int IDENT

See Also:
  Constant Field Values

### INT_LITERAL

    public static final int INT_LITERAL

See Also:
  Constant Field Values

### LONG_LITERAL

    public static final int LONG_LITERAL

See Also:
  Constant Field Values

### MAX_NUMBER_LITERAL

    public static final int MAX_NUMBER_LITERAL

See Also:
  Constant Field Values

### MIN_NUMBER_LITERAL

    public static final int MIN_NUMBER_LITERAL

See Also:
  Constant Field Values

### MIN_UNUSED

    public static final int MIN_UNUSED

See Also:
  Constant Field Values

### STRING_LITERAL

    public static final int STRING_LITERAL

See Also:
  Constant Field Values

Constructor Detail

### Token

    public Token(int type,
                 java.lang.String text)

Method Detail

### dup

    public Token dup()

### getColumn

    public final int getColumn()

  Overrides:
    `getColumn` in class `antlr.CommonToken`

### getEndPosition

    public final int getEndPosition()

### getFilename

    public final java.lang.String getFilename()

  Overrides:
    `getFilename` in class `antlr.Token`

### getLine

    public final int getLine()

  Overrides:
    `getLine` in class `antlr.CommonToken`

### getStartPosition

    public final int getStartPosition()

### getTokenizer

    public final Tokenizer getTokenizer()

### setExtent

    public final void setExtent(int position,
                                int endPosition)

### setTokenizer

    public final void setTokenizer(Tokenizer t)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD